English

Insights for ArcGIS 2.3 Oracle Geometry Patch

Summary

ArcGIS for Insights will return an error when trying to use spatially enabled layers from Oracle in a map. This patch is required for Insights for ArcGIS users using data with spatially enabled Oracle data.

Description

Esri® announces the Insights for ArcGIS 2.3 Oracle Geometry Patch. Without this patch, Insights will return an error when trying to use spatially enabled layers from Oracle in a map. This is, therefore, a required patch for Insights for ArcGIS users using data with spatially enabled Oracle data. This patch must be applied to each Server for ArcGIS machine with Insights for ArcGIS installed. It deals specifically with the issue listed below under Issues Addressed with this patch.



Issues Addressed with this patch


  • BUG-000112464 Insights for ArcGIS does not recognize data as spatially enabled when coming from an Oracle Database connection.

Installing this patch on Windows


Installation Steps:


Insights for ArcGIS 2.3 must be installed before installing this patch.

  1. Download the appropriate file to a location other than your ArcGIS installation location.

  2. Insights for ArcGIS   Checksum (Md5)
         
    2.3 ArcGIS-230-IFA-OG-Patch.msp 87B2FA9F0E5BA5A656C16D08427B4DFA
         

  3. Make sure you have write access to your ArcGIS installation location.

  4. Double-click ArcGIS-230-IFA-OG-Patch.msp to start the setup process.

    NOTE: If double clicking on the MSP file does not start the setup installation, you can start the setup installation manually by using the following command:

    msiexec.exe /p [location of Patch]\ArcGIS-230-IFA-OG-Patch.msp


Installing this patch on Linux


Installation Steps:


Complete the following install steps as the ArcGIS Install owner. The Install owner is the owner of the arcgis folder.

Insights for ArcGIS 2.3 must be installed before installing this patch.

  1. Download the appropriate file to a location other than your ArcGIS installation location.


    Insights for ArcGIS   Checksum (Md5)
         
    2.3 ArcGIS-230-IFA-OG-Patch-linux.tar 3D6BF61A362FC204D32A8F3801A292DF
         

  2. Make sure you have write access to your ArcGIS installation location, and that no one is using ArcGIS.

  3. Extract the specified tar file by typing:

    % tar -xvf ArcGIS-230-IFA-OG-Patch-linux.tar

  4. Start the installation by typing:

    % ./applypatch

    This will start the dialog for the menu-driven installation procedure. Default selections are noted in parentheses ( ). To quit the installation procedure, type 'q' at any time.

Uninstalling this patch on Windows


    To uninstall this patch on Windows, open the Windows Control Panel and navigate to installed programs. Make sure that "View installed updates" (upper left side of the Programs and Features dialog) is active. Select the patch name from the programs list and click Uninstall to remove the patch.

Patch Updates

Check the Patches and Service Packs page periodically for the availability of additional patches. New information about this patch will be posted here.

Getting Help

Domestic sites, please contact Esri Technical Support at 1-888-377-4575, if you have any difficulty installing this patch. International sites, please contact your local Esri software distributor.